Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: mysql-5.1.68.ebuild mysql-5.1.69.ebuild ChangeLog
Date: Sun, 02 Jun 2013 19:49:00
Message-Id: 20130602194857.19A822171D@flycatcher.gentoo.org
1 robbat2 13/06/02 19:48:57
2
3 Modified: ChangeLog
4 Added: mysql-5.1.68.ebuild mysql-5.1.69.ebuild
5 Log:
6 Bump.
7
8 (Portage version: 2.2.0_alpha177/cvs/Linux x86_64, unsigned Manifest commit)
9
10 Revision Changes Path
11 1.649 dev-db/mysql/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.649&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.649&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.648&r2=1.649
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
20 retrieving revision 1.648
21 retrieving revision 1.649
22 diff -p -w -b -B -u -u -r1.648 -r1.649
23 --- ChangeLog 14 Mar 2013 01:03:14 -0000 1.648
24 +++ ChangeLog 2 Jun 2013 19:48:56 -0000 1.649
25 @@ -1,6 +1,13 @@
26 # ChangeLog for dev-db/mysql
27 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.648 2013/03/14 01:03:14 robbat2 Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.649 2013/06/02 19:48:56 robbat2 Exp $
30 +
31 +*mysql-5.1.69 (02 Jun 2013)
32 +*mysql-5.1.68 (02 Jun 2013)
33 +
34 + 02 Jun 2013; Robin H. Johnson <robbat2@g.o> +mysql-5.1.68.ebuild,
35 + +mysql-5.1.69.ebuild:
36 + Bump.
37
38 *mysql-5.5.30 (14 Mar 2013)
39
40
41
42
43 1.1 dev-db/mysql/mysql-5.1.68.ebuild
44
45 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.68.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.68.ebuild?rev=1.1&content-type=text/plain
47
48 Index: mysql-5.1.68.ebuild
49 ===================================================================
50 # Copyright 1999-2013 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.68.ebuild,v 1.1 2013/06/02 19:48:56 robbat2 Exp $
53
54 EAPI="4"
55
56 MY_EXTRAS_VER="20130128-0054Z"
57 # PBXT
58 PBXT_VERSION='1.0.11-6-pre-ga'
59 # XtraDB
60 PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
61
62 # Build type
63 BUILD="autotools"
64
65 inherit toolchain-funcs mysql-v2
66
67 # only to make repoman happy. it is really set in the eclass
68 IUSE="$IUSE"
69
70 # REMEMBER: also update eclass/mysql*.eclass before committing!
71 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-solaris"
72
73 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
74 # This is often broken still
75 EPATCH_EXCLUDE=''
76
77 # Most of these are in the eclass
78 DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
79 >=sys-devel/libtool-2.2.10"
80 RDEPEND="${RDEPEND}"
81
82 # Please do not add a naive src_unpack to this ebuild
83 # If you want to add a single patch, copy the ebuild to an overlay
84 # and create your own mysql-extras tarball, looking at 000_index.txt
85 src_prepare() {
86 sed -i \
87 -e '/^noinst_PROGRAMS/s/basic-t//g' \
88 "${S}"/unittest/mytap/t/Makefile.am
89 mysql-v2_src_prepare
90 }
91
92 # Official test instructions:
93 # USE='berkdb -cluster embedded extraengine perl ssl community' \
94 # FEATURES='test userpriv -usersandbox' \
95 # ebuild mysql-X.X.XX.ebuild \
96 # digest clean package
97 src_test() {
98 # Bug #213475 - MySQL _will_ object strenously if your machine is named
99 # localhost. Also causes weird failures.
100 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
101
102 emake check || die "make check failed"
103 if ! use "minimal" ; then
104 if [[ $UID -eq 0 ]]; then
105 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
106 fi
107 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
108 cd "${S}"
109 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
110 local retstatus_unit
111 local retstatus_ns
112 local retstatus_ps
113 local t
114 addpredict /this-dir-does-not-exist/t9.MYI
115
116 # Ensure that parallel runs don't die
117 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
118
119 # archive_gis really sucks a lot, but it's only relevant for the
120 # USE=extraengines case
121 case ${PV} in
122 5.0.42)
123 mysql-v2_disable_test "archive_gis" "Totally broken in 5.0.42"
124 ;;
125
126 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
127 [ "$(tc-endian)" == "big" ] && \
128 mysql-v2_disable_test \
129 "archive_gis" \
130 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
131 ;;
132 esac
133
134 # This was a slight testcase breakage when the read_only security issue
135 # was fixed.
136 case ${PV} in
137 5.0.54|5.0.51*)
138 mysql-v2_disable_test \
139 "read_only" \
140 "Broken in 5.0.51-54, output in wrong order"
141 ;;
142 esac
143
144 # Ditto to read_only
145 [ "${PV}" == "5.0.51a" ] && \
146 mysql-v2_disable_test \
147 "view" \
148 "Broken in 5.0.51, output in wrong order"
149
150 # x86-specific, OOM issue with some subselects on low memory servers
151 [ "${PV}" == "5.0.54" ] && \
152 [ "${ARCH/x86}" != "${ARCH}" ] && \
153 mysql-v2_disable_test \
154 "subselect" \
155 "Testcase needs tuning on x86 for oom condition"
156
157 # Broke with the YaSSL security issue that didn't affect Gentoo.
158 [ "${PV}" == "5.0.56" ] && \
159 for t in openssl_1 rpl_openssl rpl_ssl ssl \
160 ssl_8k_key ssl_compress ssl_connect ; do \
161 mysql-v2_disable_test \
162 "$t" \
163 "OpenSSL tests broken on 5.0.56"
164 done
165
166 # New test was broken in first time
167 # Upstream bug 41066
168 # http://bugs.mysql.com/bug.php?id=41066
169 [ "${PV}" == "5.0.72" ] && \
170 mysql-v2_disable_test \
171 "status2" \
172 "Broken in 5.0.72, new test is broken, upstream bug #41066"
173
174 # The entire 5.0 series has pre-generated SSL certificates, they have
175 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
176 # The certs really SHOULD be generated for the tests, so that they are
177 # not expiring like this. We cannot do so ourselves as the tests look
178 # closely as the cert path data, and we do not have the CA key to regen
179 # ourselves. Alternatively, upstream should generate them with at least
180 # 50-year validity.
181 #
182 # Known expiry points:
183 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
184 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
185 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
186 #
187 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
188 # expired/invalid.
189 case ${PV} in
190 5.0.*|5.1.*|5.4.*|5.5.*)
191 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
192 ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
193 mysql-v2_disable_test \
194 "$t" \
195 "These OpenSSL tests break due to expired certificates"
196 done
197 ;;
198 esac
199
200 # These are also failing in MySQL 5.1 for now, and are believed to be
201 # false positives:
202 #
203 # main.mysql_comment, main.mysql_upgrade, main.information_schema,
204 # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
205 # fails due to USE=-latin1 / utf8 default
206 #
207 # main.mysql_client_test:
208 # segfaults at random under Portage only, suspect resource limits.
209 #
210 # main.not_partition:
211 # Failure reason unknown at this time, must resolve before package.mask
212 # removal FIXME
213 case ${PV} in
214 5.1.*|5.4.*|5.5.*)
215 for t in main.mysql_client_test main.mysql_comments \
216 main.mysql_upgrade \
217 main.information_schema \
218 main.not_partition funcs_1.is_columns_mysql \
219 funcs_1.is_tables_mysql funcs_1.is_triggers; do
220 mysql-v2_disable_test "$t" "False positives in Gentoo"
221 done
222 ;;
223 esac
224
225 # New failures in 5.1.50/5.1.51, reported by jmbsvicetto.
226 # These tests are picking up a 'connect-timeout' config from somewhere,
227 # which is not valid, and since it does not have 'loose-' in front of
228 # it, it's causing a failure
229 case ${PV} in
230 5.1.5*|5.4.*|5.5.*|6*)
231 for t in rpl.rpl_mysql_upgrade main.log_tables_upgrade ; do
232 mysql-v2_disable_test "$t" \
233 "False positives in Gentoo: connect-timeout"
234 done
235 ;;
236 esac
237
238 use profiling && use community \
239 || mysql-v2_disable_test main.profiling \
240 "Profiling test needs profiling support"
241
242 if [ "${PN}" == "mariadb" ]; then
243 for t in \
244 parts.part_supported_sql_func_ndb \
245 parts.partition_auto_increment_ndb ; do
246 mysql-v2_disable_test $t "ndb not supported in mariadb"
247 done
248 fi
249
250 # This fail with XtraDB in place of normal InnoDB
251 # TODO: test if they are broken with the rest of the Percona patches
252 if xtradb_patch_available && use xtradb ; then
253 for t in main.innodb innodb.innodb_bug51378 \
254 main.information_schema_db main.mysqlshow \
255 main.innodb-autoinc main.innodb_bug21704 \
256 main.innodb_bug44369 main.innodb_bug46000 \
257 main.index_merge_innodb \
258 innodb.innodb innodb.innodb_misc1 innodb.innodb_bug52663 \
259 innodb.innodb-autoinc innodb.innodb-autoinc-44030 \
260 innodb.innodb_bug21704 innodb.innodb_bug44369 \
261 innodb.innodb_bug46000 innodb.innodb_bug48024 \
262 innodb.innodb_bug49164 innodb.innodb_bug51920 \
263 innodb.innodb_bug54044 \
264 ; do
265 mysql-v2_disable_test $t "tests broken in xtradb"
266 done
267 fi
268
269 if ! use extraengine ; then
270 # bug 332565
271 for t in main.range ; do
272 mysql-v2_disable_test $t "Test $t requires USE=extraengine"
273 done
274 # bug 401673
275 for t in federated.federated_plugin ; do
276 mysql-v2_disable_test $t "Test $t requires USE=extraengine (Need federated engine)"
277 done
278 fi
279
280 # create directories because mysqladmin might make out of order
281 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
282
283 # We run the test protocols seperately
284 emake test-unit
285 retstatus_unit=$?
286 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
287
288 emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
289 retstatus_ns=$?
290 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
291 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
292
293 emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
294 retstatus_ps=$?
295 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
296 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
297
298 # TODO:
299 # When upstream enables the pr and nr testsuites, we need those as well.
300
301 # Cleanup is important for these testcases.
302 pkill -9 -f "${S}/ndb" 2>/dev/null
303 pkill -9 -f "${S}/sql" 2>/dev/null
304 failures=""
305 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
306 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
307 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
308 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
309 [[ -z "$failures" ]] || die "Test failures: $failures"
310 einfo "Tests successfully completed"
311 else
312 einfo "Skipping server tests due to minimal build."
313 fi
314 }
315
316
317
318 1.1 dev-db/mysql/mysql-5.1.69.ebuild
319
320 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.69.ebuild?rev=1.1&view=markup
321 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql/mysql-5.1.69.ebuild?rev=1.1&content-type=text/plain
322
323 Index: mysql-5.1.69.ebuild
324 ===================================================================
325 # Copyright 1999-2013 Gentoo Foundation
326 # Distributed under the terms of the GNU General Public License v2
327 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.69.ebuild,v 1.1 2013/06/02 19:48:56 robbat2 Exp $
328
329 EAPI="4"
330
331 MY_EXTRAS_VER="20130602-1946Z"
332 # PBXT
333 PBXT_VERSION='1.0.11-6-pre-ga'
334 # XtraDB
335 PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
336
337 # Build type
338 BUILD="autotools"
339
340 inherit toolchain-funcs mysql-v2
341
342 # only to make repoman happy. it is really set in the eclass
343 IUSE="$IUSE"
344
345 # REMEMBER: also update eclass/mysql*.eclass before committing!
346 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-solaris"
347
348 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
349 # This is often broken still
350 EPATCH_EXCLUDE=''
351
352 # Most of these are in the eclass
353 DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
354 >=sys-devel/libtool-2.2.10"
355 RDEPEND="${RDEPEND}"
356
357 # Please do not add a naive src_unpack to this ebuild
358 # If you want to add a single patch, copy the ebuild to an overlay
359 # and create your own mysql-extras tarball, looking at 000_index.txt
360 src_prepare() {
361 sed -i \
362 -e '/^noinst_PROGRAMS/s/basic-t//g' \
363 "${S}"/unittest/mytap/t/Makefile.am
364 mysql-v2_src_prepare
365 }
366
367 # Official test instructions:
368 # USE='berkdb -cluster embedded extraengine perl ssl community' \
369 # FEATURES='test userpriv -usersandbox' \
370 # ebuild mysql-X.X.XX.ebuild \
371 # digest clean package
372 src_test() {
373 # Bug #213475 - MySQL _will_ object strenously if your machine is named
374 # localhost. Also causes weird failures.
375 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
376
377 emake check || die "make check failed"
378 if ! use "minimal" ; then
379 if [[ $UID -eq 0 ]]; then
380 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
381 fi
382 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
383 cd "${S}"
384 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
385 local retstatus_unit
386 local retstatus_ns
387 local retstatus_ps
388 local t
389 addpredict /this-dir-does-not-exist/t9.MYI
390
391 # Ensure that parallel runs don't die
392 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
393
394 # archive_gis really sucks a lot, but it's only relevant for the
395 # USE=extraengines case
396 case ${PV} in
397 5.0.42)
398 mysql-v2_disable_test "archive_gis" "Totally broken in 5.0.42"
399 ;;
400
401 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
402 [ "$(tc-endian)" == "big" ] && \
403 mysql-v2_disable_test \
404 "archive_gis" \
405 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
406 ;;
407 esac
408
409 # This was a slight testcase breakage when the read_only security issue
410 # was fixed.
411 case ${PV} in
412 5.0.54|5.0.51*)
413 mysql-v2_disable_test \
414 "read_only" \
415 "Broken in 5.0.51-54, output in wrong order"
416 ;;
417 esac
418
419 # Ditto to read_only
420 [ "${PV}" == "5.0.51a" ] && \
421 mysql-v2_disable_test \
422 "view" \
423 "Broken in 5.0.51, output in wrong order"
424
425 # x86-specific, OOM issue with some subselects on low memory servers
426 [ "${PV}" == "5.0.54" ] && \
427 [ "${ARCH/x86}" != "${ARCH}" ] && \
428 mysql-v2_disable_test \
429 "subselect" \
430 "Testcase needs tuning on x86 for oom condition"
431
432 # Broke with the YaSSL security issue that didn't affect Gentoo.
433 [ "${PV}" == "5.0.56" ] && \
434 for t in openssl_1 rpl_openssl rpl_ssl ssl \
435 ssl_8k_key ssl_compress ssl_connect ; do \
436 mysql-v2_disable_test \
437 "$t" \
438 "OpenSSL tests broken on 5.0.56"
439 done
440
441 # New test was broken in first time
442 # Upstream bug 41066
443 # http://bugs.mysql.com/bug.php?id=41066
444 [ "${PV}" == "5.0.72" ] && \
445 mysql-v2_disable_test \
446 "status2" \
447 "Broken in 5.0.72, new test is broken, upstream bug #41066"
448
449 # The entire 5.0 series has pre-generated SSL certificates, they have
450 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
451 # The certs really SHOULD be generated for the tests, so that they are
452 # not expiring like this. We cannot do so ourselves as the tests look
453 # closely as the cert path data, and we do not have the CA key to regen
454 # ourselves. Alternatively, upstream should generate them with at least
455 # 50-year validity.
456 #
457 # Known expiry points:
458 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
459 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
460 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
461 #
462 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
463 # expired/invalid.
464 case ${PV} in
465 5.0.*|5.1.*|5.4.*|5.5.*)
466 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
467 ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
468 mysql-v2_disable_test \
469 "$t" \
470 "These OpenSSL tests break due to expired certificates"
471 done
472 ;;
473 esac
474
475 # These are also failing in MySQL 5.1 for now, and are believed to be
476 # false positives:
477 #
478 # main.mysql_comment, main.mysql_upgrade, main.information_schema,
479 # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
480 # fails due to USE=-latin1 / utf8 default
481 #
482 # main.mysql_client_test:
483 # segfaults at random under Portage only, suspect resource limits.
484 #
485 # main.not_partition:
486 # Failure reason unknown at this time, must resolve before package.mask
487 # removal FIXME
488 case ${PV} in
489 5.1.*|5.4.*|5.5.*)
490 for t in main.mysql_client_test main.mysql_comments \
491 main.mysql_upgrade \
492 main.information_schema \
493 main.not_partition funcs_1.is_columns_mysql \
494 funcs_1.is_tables_mysql funcs_1.is_triggers; do
495 mysql-v2_disable_test "$t" "False positives in Gentoo"
496 done
497 ;;
498 esac
499
500 # New failures in 5.1.50/5.1.51, reported by jmbsvicetto.
501 # These tests are picking up a 'connect-timeout' config from somewhere,
502 # which is not valid, and since it does not have 'loose-' in front of
503 # it, it's causing a failure
504 case ${PV} in
505 5.1.5*|5.4.*|5.5.*|6*)
506 for t in rpl.rpl_mysql_upgrade main.log_tables_upgrade ; do
507 mysql-v2_disable_test "$t" \
508 "False positives in Gentoo: connect-timeout"
509 done
510 ;;
511 esac
512
513 use profiling && use community \
514 || mysql-v2_disable_test main.profiling \
515 "Profiling test needs profiling support"
516
517 if [ "${PN}" == "mariadb" ]; then
518 for t in \
519 parts.part_supported_sql_func_ndb \
520 parts.partition_auto_increment_ndb ; do
521 mysql-v2_disable_test $t "ndb not supported in mariadb"
522 done
523 fi
524
525 # This fail with XtraDB in place of normal InnoDB
526 # TODO: test if they are broken with the rest of the Percona patches
527 if xtradb_patch_available && use xtradb ; then
528 for t in main.innodb innodb.innodb_bug51378 \
529 main.information_schema_db main.mysqlshow \
530 main.innodb-autoinc main.innodb_bug21704 \
531 main.innodb_bug44369 main.innodb_bug46000 \
532 main.index_merge_innodb \
533 innodb.innodb innodb.innodb_misc1 innodb.innodb_bug52663 \
534 innodb.innodb-autoinc innodb.innodb-autoinc-44030 \
535 innodb.innodb_bug21704 innodb.innodb_bug44369 \
536 innodb.innodb_bug46000 innodb.innodb_bug48024 \
537 innodb.innodb_bug49164 innodb.innodb_bug51920 \
538 innodb.innodb_bug54044 \
539 ; do
540 mysql-v2_disable_test $t "tests broken in xtradb"
541 done
542 fi
543
544 if ! use extraengine ; then
545 # bug 332565
546 for t in main.range ; do
547 mysql-v2_disable_test $t "Test $t requires USE=extraengine"
548 done
549 # bug 401673
550 for t in federated.federated_plugin ; do
551 mysql-v2_disable_test $t "Test $t requires USE=extraengine (Need federated engine)"
552 done
553 fi
554
555 # create directories because mysqladmin might make out of order
556 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
557
558 # We run the test protocols seperately
559 emake test-unit
560 retstatus_unit=$?
561 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
562
563 emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
564 retstatus_ns=$?
565 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
566 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
567
568 emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
569 retstatus_ps=$?
570 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
571 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
572
573 # TODO:
574 # When upstream enables the pr and nr testsuites, we need those as well.
575
576 # Cleanup is important for these testcases.
577 pkill -9 -f "${S}/ndb" 2>/dev/null
578 pkill -9 -f "${S}/sql" 2>/dev/null
579 failures=""
580 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
581 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
582 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
583 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
584 [[ -z "$failures" ]] || die "Test failures: $failures"
585 einfo "Tests successfully completed"
586 else
587 einfo "Skipping server tests due to minimal build."
588 fi
589 }